# SQConvert::HelperT< Tretval(Tcls::*)(Targ1, Targ2, Targ3), true > Struct Template Reference

The real C++ caller for method with no return value and 3 params. More...

`#include <squirrel_helper.hpp>`

## Static Public Member Functions

static int | SQCall (Tcls *instance, Tretval(Tcls::*func)(Targ1, Targ2, Targ3), HSQUIRRELVM vm)
static Tcls * | SQConstruct (Tcls *instance, Tretval(Tcls::*func)(Targ1, Targ2, Targ3), HSQUIRRELVM vm)

## Detailed Description

### template<class Tcls, typename Tretval, typename Targ1, typename Targ2, typename Targ3>
struct SQConvert::HelperT< Tretval(Tcls::*)(Targ1, Targ2, Targ3), true >

The real C++ caller for method with no return value and 3 params.

Definition at line 411 of file squirrel_helper.hpp.

The documentation for this struct was generated from the following file:

- src/script/squirrel_helper.hpp